Loading...
Searching...
No Matches
casacore::Allocator_private::BulkAllocatorImpl< Allocator > Struct Template Reference

## Public Types

typedef Allocator::size_type | size_type
typedef Allocator::pointer | pointer
typedef Allocator::const_pointer | const_pointer
typedef Allocator::value_type | value_type
Public Types inherited from casacore::Allocator_private::BulkAllocator< Allocator::value_type >
using | size_type
using | value_type
using | pointer
using | const_pointer

## Public Member Functions

virtual pointer | allocate (size_type elements, const void *ptr=0) override
virtual void | deallocate (pointer ptr, size_type size) override
virtual void | construct (pointer ptr, size_type n, const_pointer src) override
virtual void | construct (pointer ptr, size_type n, value_type const &initial_value) override
virtual void | construct (pointer ptr, size_type n) override
virtual void | destroy (pointer ptr, size_type n) override
virtual std::type_info const & | allocator_typeid () const override
virtual | ~BulkAllocatorImpl () override
Public Member Functions inherited from casacore::Allocator_private::BulkAllocator< Allocator::value_type >
virtual pointer | allocate (size_type elements, const void *ptr=0)=0
virtual void | deallocate (pointer ptr, size_type size)=0
virtual void | construct (pointer ptr, size_type n, const_pointer src)=0
virtual void | destroy (pointer ptr, size_type n)=0
virtual | ~BulkAllocator ()

## Static Private Attributes

static Allocator | allocator

## Detailed Description

template<typename Allocator>
struct casacore::Allocator_private::BulkAllocatorImpl< Allocator >

Definition at line 229 of file Allocator.h.

## Member Typedef Documentation

## const_pointer

template<typename Allocator>

typedef Allocator::const_pointer casacore::Allocator_private::BulkAllocatorImpl< Allocator >::const_pointer

Definition at line 232 of file Allocator.h.

## pointer

template<typename Allocator>

typedef Allocator::pointer casacore::Allocator_private::BulkAllocatorImpl< Allocator >::pointer

Definition at line 231 of file Allocator.h.

## size_type

template<typename Allocator>

typedef Allocator::size_type casacore::Allocator_private::BulkAllocatorImpl< Allocator >::size_type

Definition at line 230 of file Allocator.h.

## value_type

template<typename Allocator>

typedef Allocator::value_type casacore::Allocator_private::BulkAllocatorImpl< Allocator >::value_type

Definition at line 233 of file Allocator.h.

## Constructor & Destructor Documentation

## ~BulkAllocatorImpl()

template<typename Allocator>

virtual casacore::Allocator_private::BulkAllocatorImpl< Allocator >::~BulkAllocatorImpl | ( |  | ) |

inline override virtual

Definition at line 288 of file Allocator.h.

## Member Function Documentation

## allocate()

template<typename Allocator>

virtual pointer casacore::Allocator_private::BulkAllocatorImpl< Allocator >::allocate | ( | size_type | elements,
|  | const void * | ptr = 0 )

inline override virtual

Definition at line 234 of file Allocator.h.

References allocator.

## allocator_typeid()

template<typename Allocator>

virtual std::type_info const & casacore::Allocator_private::BulkAllocatorImpl< Allocator >::allocator_typeid | ( |  | ) | const

inline override virtual

Implements casacore::Allocator_private::BulkAllocator< Allocator::value_type >.

Definition at line 285 of file Allocator.h.

## construct() [1/3]

template<typename Allocator>

virtual void casacore::Allocator_private::BulkAllocatorImpl< Allocator >::construct | ( | pointer | ptr,
|  | size_type | n )

inline override virtual

Definition at line 264 of file Allocator.h.

References allocator, and destroy().

## construct() [2/3]

template<typename Allocator>

virtual void casacore::Allocator_private::BulkAllocatorImpl< Allocator >::construct | ( | pointer | ptr,
|  | size_type | n,
|  | const_pointer | src )

inline override virtual

Definition at line 241 of file Allocator.h.

References allocator, and destroy().

## construct() [3/3]

template<typename Allocator>

virtual void casacore::Allocator_private::BulkAllocatorImpl< Allocator >::construct | ( | pointer | ptr,
|  | size_type | n,
|  | value_type const & | initial_value )

inline override virtual

Definition at line 252 of file Allocator.h.

References allocator, and destroy().

## deallocate()

template<typename Allocator>

virtual void casacore::Allocator_private::BulkAllocatorImpl< Allocator >::deallocate | ( | pointer | ptr,
|  | size_type | size )

inline override virtual

Definition at line 237 of file Allocator.h.

References allocator, and casacore::size().

## destroy()

template<typename Allocator>

virtual void casacore::Allocator_private::BulkAllocatorImpl< Allocator >::destroy | ( | pointer | ptr,
|  | size_type | n )

inline override virtual

Destructor should not raise any exception.

Definition at line 275 of file Allocator.h.

References allocator.

Referenced by construct(), construct(), and construct().

## Member Data Documentation

## allocator

template<typename Allocator>

Allocator casacore::Allocator_private::BulkAllocatorImpl< Allocator >::allocator

static private

Definition at line 291 of file Allocator.h.

Referenced by allocate(), construct(), construct(), construct(), deallocate(), and destroy().

The documentation for this struct was generated from the following file:

- casa/Containers/Allocator.h